import { EventEmitter, Provider } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { NrfSubmitData } from './form-submit-data.class';
export declare class NrfFormService {
    /**
     * Form group will hold all inputs within this form.
     *
     * Every input should register itself to this form group.
     *
     * The data in this form group will not be sent to backend, just form validations and input management.
     */
    readonly formGroup: FormGroup;
    private privateEntity;
    entity: any;
    /**
     * Represents the data inputted by the user on the fields
     */
    formData: any;
    /**
     * Internal emitter to handle form submit
     */
    readonly submit$: EventEmitter<NrfSubmitData>;
}
/**
 * @ignore
 */
export declare function newNrfFormService(): NrfFormService;
/**
 * Use this to provide form-service to Components that wraps nrfForm and put inputs inside <ng-content>
 */
export declare const NRF_FORM_SERVICE_PROVIDER: Provider;
