import { FormArray, FormGroup } from '@angular/forms';
export declare class NrfFormHierarchyService {
    /**
     * Get a nested control if it exists or create the its necessary hierarchy
     *
     * @param rootFormGroup
     * @param fullPath Dot notation path of the desired control, including the last part, that is the value, not the group.
     */
    getNestedControl(rootFormGroup: FormGroup | FormArray, fullPath: string | string[]): FormGroup | FormArray;
    /**
     * Iterate over all path pieces creating the needed controls if they do not exists.
     */
    private createFormGroupHierarchy(parentControl, path, index, pathPieces);
}
